Subject: Re: [PATCH devicetree 1/2] dt-bindings: phy: Convert generic PHY provider binding to YAML

From: Rob Herring <[email-masked]>
Date: Wed, 15 Dec 2021 15:41:04 -0600

On Wed, Dec 15, 2021 at 12:34:31AM +0100, Marek Behún wrote:
> Convert phy-bindings.txt to YAML. This creates binding only for PHY
> provider, since PHY consumer binding is in dtschema. Consumer binding
> example is provided.
> 
> Signed-off-by: Marek Behún <[email-masked]>
> ---
>  .../devicetree/bindings/phy/phy-bindings.txt  | 73 +------------------
>  .../devicetree/bindings/phy/phy.yaml          | 59 +++++++++++++++
>  2 files changed, 60 insertions(+), 72 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/phy/phy.yaml

We already have phy-provider.yaml and phy-consumer.yaml in dtschema 
repo. Add what's missing there (anything copied from here will need to 
be relicensed).

Rob